use crate::repository::{data::DataRepository, DoqiumClient};
use anyhow::Result;

pub async fn admin_data_stats(token: &str) -> Result<serde_json::Value> {
    let client = DoqiumClient::new_admin(token)?;
    let repo = DataRepository::new(&client);
    repo.get_stats().await
}
